Skip to main content

Create Unit Files: Buildium

POSThttps://api.propexo.com/v1/units/buildium/:unit_id/file-upload/
InterfaceMethod
FilesPOST /files/uploadrequests
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

unit_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    attachments object[]required

    Files w/ metadata for the unit. All the files can have a maximum combined file size of 50 MB

    Possible values: >= 1

  • Array [
  • titlestringrequired

    A title for the file

    Possible values: <= 255 characters

    file_type_idstringrequired

    The Propexo unique identifier for the file type

    file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 20 MB.

    Possible values: <= 27892121 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    unit_idstringrequired

    The Propexo unique identifier for the unit

    attachments object[]required
  • Array [
  • titlestringrequired

    A title for the file

    Possible values: <= 255 characters

    file_type_idstringrequired

    The Propexo unique identifier for the file type

    file_datastring | nullnullable

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 20 MB.

    Possible values: <= 27892121 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/units/buildium/:unit_id/file-upload/
curl -X POST https://api.propexo.com/v1/units/buildium/:unit_id/file-upload/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"attachments": [
{
"title": "string",
"file_type_id": "string",
"file_data": "string",
"file_name": "string",
"mime_type": "string"
}
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"unit_id": "string",
"attachments": [
{
"title": "string",
"file_type_id": "string",
"file_data": "string",
"file_name": "string",
"mime_type": "string"
}
]
}
}